| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Static Public Member Functions | Private Attributes | List of all members
DataHistory Class Reference

DataHistory class definition. More...

`#include <GaudiKernel/DataHistory.h>`

Inheritance diagram for DataHistory:
[legend]
Collaboration diagram for DataHistory:
[legend]

## Classes
class | DataHistoryOrder

## Public Member Functions
| DataHistory (const CLID &id, std::string key, AlgorithmHistory *alg)
| ~DataHistory () override=default
const CLID & | clID () const override
| Retrieve reference to class definition structure. More...
std::string | dataKey () const
const CLID & | dataClassID () const
AlgorithmHistory * | algorithmHistory () const
void | dump (std::ostream &, const bool isXML=false, int indent=0) const override
Public Member Functions inherited from HistoryObj
| HistoryObj ()=default
virtual | ~HistoryObj ()=default
const CLID & | clID () const override
| Retrieve reference to class definition structure. More...
Public Member Functions inherited from DataObject
| DataObject ()
| Standard Constructor. More...
| DataObject (const DataObject &rhs)
| Copy Constructor. More...
DataObject & | operator= (const DataObject &rhs)
| Assignment Operator. More...
| DataObject (DataObject &&rhs)
| Move Constructor. More...
DataObject & | operator= (DataObject &&rhs)
| Move Assignment Operator. More...
virtual | ~DataObject ()
| Standard Destructor. More...
virtual unsigned long | addRef ()
| Add reference to object. More...
virtual unsigned long | release ()
| release reference to object More...
const std::string & | name () const
| Retreive DataObject name. It is the name when registered in the store. More...
virtual StatusCode | update ()
| Provide empty placeholder for internal object reconfiguration callback. More...
void | setRegistry (IRegistry *pRegistry)
| Set pointer to Registry. More...
IRegistry * | registry () const
| Get pointer to Registry. More...
LinkManager * | linkMgr () const
| Retrieve Link manager. More...
unsigned char | version () const
| Retrieve version number of this object representation. More...
void | setVersion (unsigned char vsn)
| Set version number of this object representation. More...
unsigned long | refCount () const
| Return the refcount. More...
virtual std::ostream & | fillStream (std::ostream &s) const
| Fill the output stream (ASCII) More...

## Static Public Member Functions
static const CLID & | classID ()
Static Public Member Functions inherited from HistoryObj
static const CLID & | classID ()
static std::string | convert_string (const std::string &)
Static Public Member Functions inherited from DataObject
static const CLID & | classID ()
| Retrieve reference to class definition structure (static access) More...

## Private Attributes
CLID | m_dataClassID
std::string | m_dataKey
AlgorithmHistory * | m_algHist
std::string | m_dummy = "none"

## Additional Inherited Members
Protected Member Functions inherited from HistoryObj
virtual void | indent (std::ostream &, int) const

## Detailed Description

DataHistory class definition.

Author
  : Charles Leggett

Definition at line 23 of file DataHistory.h.

## Constructor & Destructor Documentation

DataHistory::DataHistory | ( | const CLID & | id,
|  | std::string | key,
|  | AlgorithmHistory * | alg
| ) |  |

Definition at line 25 of file DataHistory.cpp.

26 :
27 m_dataClassID(id), m_dataKey(std::move(key)), m_algHist(alg)
28 {
29
30
31 }
DataHistory::m_algHist
AlgorithmHistory * m_algHist
Definition: DataHistory.h:73
std::move
T move(T...args)
DataHistory::m_dataClassID
CLID m_dataClassID
Definition: DataHistory.h:71
DataHistory::m_dataKey
std::string m_dataKey
Definition: DataHistory.h:72

DataHistory::~DataHistory | ( |  | ) |
| override default

## Member Function Documentation

AlgorithmHistory* DataHistory::algorithmHistory | ( |  | ) | const
| inline

Definition at line 65 of file DataHistory.h.

65 { return m_algHist; }
DataHistory::m_algHist
AlgorithmHistory * m_algHist
Definition: DataHistory.h:73

const CLID & DataHistory::classID | ( |  | ) |
| static

Definition at line 36 of file DataHistory.cpp.

36 {
37 static const CLID CLID_DataHistory = 83814411; // from `clid DataHistory`
38
39 return CLID_DataHistory;
40 }
CLID
unsigned int CLID
Class ID definition.
Definition: ClassID.h:8

const CLID& DataHistory::clID | ( |  | ) | const
| inline override virtual

Retrieve reference to class definition structure.

Retrieve Pointer to class definition structure.

Reimplemented from DataObject.

Definition at line 58 of file DataHistory.h.

58 { return DataHistory::classID(); }
DataHistory::classID
static const CLID & classID()
Definition: DataHistory.cpp:36

const CLID& DataHistory::dataClassID | ( |  | ) | const
| inline

Definition at line 63 of file DataHistory.h.

63 { return m_dataClassID; }
DataHistory::m_dataClassID
CLID m_dataClassID
Definition: DataHistory.h:71

std::string DataHistory::dataKey | ( |  | ) | const
| inline

Definition at line 62 of file DataHistory.h.

62 { return m_dataKey; }
DataHistory::m_dataKey
std::string m_dataKey
Definition: DataHistory.h:72

void DataHistory::dump | ( | std::ostream & | ost,
|  | const bool | isXML = `false`,
|  | int | indent = `0`
| ) |  | const
| override virtual

Implements HistoryObj.

Definition at line 45 of file DataHistory.cpp.

45 {
46 ost << "ClassID: " << dataClassID() << endl
47 << "Key: " << dataKey() << endl
48 << "AlgorithmHistory: " << (void*) algorithmHistory() << endl;
49 }
DataHistory::algorithmHistory
AlgorithmHistory * algorithmHistory() const
Definition: DataHistory.h:65
std::endl
T endl(T...args)
DataHistory::dataKey
std::string dataKey() const
Definition: DataHistory.h:62
DataHistory::dataClassID
const CLID & dataClassID() const
Definition: DataHistory.h:63

## Member Data Documentation

AlgorithmHistory* DataHistory::m_algHist
| private

Definition at line 73 of file DataHistory.h.

CLID DataHistory::m_dataClassID
| private

Definition at line 71 of file DataHistory.h.

std::string DataHistory::m_dataKey
| private

Definition at line 72 of file DataHistory.h.

std::string DataHistory::m_dummy = "none"
| private

Definition at line 74 of file DataHistory.h.

The documentation for this class was generated from the following files:

- GaudiKernel/GaudiKernel/DataHistory.h
- GaudiKernel/src/Lib/DataHistory.cpp